---@meta

---@class UWBP_Build_Customize_PartsButton_v2_C : UB1BuildCustomizePartsListEntry
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Anim_Deselected UWidgetAnimation
---@field Anim_Selected UWidgetAnimation
---@field Anim_Released UWidgetAnimation
---@field Anim_Hover UWidgetAnimation
---@field Anim_Idle UWidgetAnimation
---@field CanvasPanel_Top UB1CanvasPanel
---@field Image_Hover UB1Image
---@field Image_line UB1Image
---@field Image_Shadow UB1Image
local UWBP_Build_Customize_PartsButton_v2_C = {}

function UWBP_Build_Customize_PartsButton_v2_C:BndEvt__WBP_Build_Customize_PartsButton_v2_Button_K2Node_ComponentBoundEvent_1_OnButtonHoverEvent__DelegateSignature() end
function UWBP_Build_Customize_PartsButton_v2_C:BndEvt__WBP_Build_Customize_PartsButton_v2_Button_K2Node_ComponentBoundEvent_2_OnButtonHoverEvent__DelegateSignature() end
---@param InSelected boolean
function UWBP_Build_Customize_PartsButton_v2_C:Select(InSelected) end
function UWBP_Build_Customize_PartsButton_v2_C:Construct() end
function UWBP_Build_Customize_PartsButton_v2_C:Idle() end
---@param EntryPoint int32
function UWBP_Build_Customize_PartsButton_v2_C:ExecuteUbergraph_WBP_Build_Customize_PartsButton_v2(EntryPoint) end


